import * as i0 from '@angular/core';
import { Injectable, NgModule } from '@angular/core';
import * as i1 from '@angular/forms';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

class NgxTypedFormBuilderService {
    constructor(fb) {
        this.fb = fb;
    }
    control(formState, validatorOrOpts, asyncValidator) {
        return this.fb.control(formState, validatorOrOpts, asyncValidator);
    }
    group(controlsConfig, options) {
        return this.fb.group(controlsConfig, options);
    }
    array(controlsConfig, validatorOrOpts, asyncValidator) {
        return this.fb.array(controlsConfig, validatorOrOpts, asyncValidator);
    }
}
NgxTypedFormBuilderService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: NgxTypedFormBuilderService, deps: [{ token: i1.UntypedFormBuilder }], target: i0.ɵɵFactoryTarget.Injectable });
NgxTypedFormBuilderService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: NgxTypedFormBuilderService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: NgxTypedFormBuilderService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1.UntypedFormBuilder }]; } });

class NgxTypedFormBuilderModule {
}
NgxTypedFormBuilderModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: NgxTypedFormBuilderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgxTypedFormBuilderModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.9", ngImport: i0, type: NgxTypedFormBuilderModule, imports: [FormsModule,
        ReactiveFormsModule] });
NgxTypedFormBuilderModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: NgxTypedFormBuilderModule, providers: [
        NgxTypedFormBuilderService
    ], imports: [FormsModule,
        ReactiveFormsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: NgxTypedFormBuilderModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        FormsModule,
                        ReactiveFormsModule
                    ],
                    providers: [
                        NgxTypedFormBuilderService
                    ],
                }]
        }] });

/*
 * Public API Surface of ngx-typed-form-builder
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxTypedFormBuilderModule, NgxTypedFormBuilderService };
//# sourceMappingURL=ngx-typed-form-builder.mjs.map
